Subject: Re: periodic hexadecimal reminder

From: [email-masked]
Date: Sat, 29 Sep 2001 05:43:53 -0000

--- In lojban@y..., Jay Kominek <jay.kominek@c...> wrote:
> 
> On Sat, 29 Sep 2001, Craig wrote:
> 
> > Seeing as lojban has already chosen to use a higher base than 
would be
> > neutral, why not go to hex? I had felt that decimal was neutral, 
though I
> > had not known how ancient Egypt counted, but I like higher bases 
because
> > when you have to say out every digit as in lojban they are much 
less
> > verbose. My pgp key id in Lojban: in hex it is 
mugaicidaupaxeizevo, but in
> > decimal it is pamuvozeciparezemuxa - 8 vs 10 syllables. And the 
difference
> > is greater with larger numbers.
> 
> Obviously then, we should use base 64.
> 
> Or maybe base 85?
> 
> Hrm. Or possibly base 128, with huffman compression?
> 
> Ah!
> 
> Base 1343!
> 
> We can use all the gismu, in alphabetical order, as digits!
> 
> Wait. We can use all the cmavo, too!
> 
> So, base 1938!
> 
> 
> 
> Where do you draw the line, and why is your line better?
> 
> - Jay Kominek <jay.kominek@c...>
> Plus Ã§a change, plus c'est la mÃªme chose

it's pretty simple. 16 is a power of 2. 8 is too, but the exponent 
is not itself a power of 2. 4 is nice, however--i should look into 
those egyptians. 4 is actually very intrinsic to us--being the base 
of our DNA. 16 is the most usable of all these, though.